<?php

declare(strict_types=1);

namespace Plugin\tnt_coupons\Migrations;

use JTL\Plugin\Migration;
use JTL\Update\IMigration;

class Migration20221121000000 extends Migration implements IMigration
{
    public function up()
    {
        $this->execute("CREATE TABLE IF NOT EXISTS `tnt_coupons_config` (
				`id` int(10) NOT NULL AUTO_INCREMENT,
				`tkey` varchar(255),
				`tvalue` varchar(255),
				`textra` text,
				PRIMARY KEY (`id`)
			) ENGINE=InnoDB COLLATE utf8_unicode_ci");
    }

    public function down()
    {
        $this->execute("DROP TABLE IF EXISTS `tnt_coupons_config`");
    }
}
